//by giving our dither icon a global scope, we remove the need to continuously generate new ones.
var/icon/dark_dither

world/New()
	//by generating our dither at world.New(), we avoid having to do it at night time.
	//this way, night won't make the world lag.
	dark_dither = generate_dark_dither()

mob
	icon = 'demo/player.dmi'
	verb
		Night()
			for(var/atom/a in world) a.overlays += dark_dither

		Day()
			for(var/atom/a in world) a.overlays = initial(a.overlays)

turf/Grass
	icon = 'demo/grass.dmi'
	New()
		//by using three grass icons instead of just one,
		//we help to eliminate the "grid" effect.
		icon_state = pick("1","2","3")

obj/Tree
	icon = 'demo/tree.dmi'
	density = 1